@ECHO OFF
IF "%1"=="100" GOTO MAKE
IF "%1"=="200" GOTO MAKE
IF "%1"=="150" GOTO MAKE
IF "%1"=="300" GOTO MAKE
IF "%1"=="600" GOTO MAKE
IF "%1"=="1200" GOTO MAKE

ECHO USEAGE: MAKE [resolution] [assembler]
ECHO Please choose which resolution of the driver you wish to compile:
ECHO   100   100dpi,
ECHO   150         (not implemented currently)
ECHO   200         (not implemented currently)
ECHO   300   300dpi,
ECHO   600   600dpi, or
ECHO   1200  1200dpi
ECHO Optionally, you can also choose masm assembler vs default TASM
ECHO   masm  masm assembler, tested under 6.144 with linker 3.64
ECHO   tasm  TASM assembler and TLINK (default)
ECHO   (nb This code is 16 bit and so needs an old version linker)
ECHO   (nb You may need to put TLINK & TASM in path or source dir)
ECHO.
ECHO e.g. type "MAKE 100" to compile the 100dpi version.
ECHO   or type "MAKE 300 masm" to compile the 300dpi version under masm
ECHO.
GOTO END

:MAKE
IF "%2"=="masm" GOTO MAKEMASM
:MAKETASM
TASM /m2 /dDPI%1=1 PCX.ASM PCX%1.OBJ, PCX%1.LST, PCX%1.XRF
REM TLINK /x PCX%1.OBJ ,,,,,
TLINK PCX%1.OBJ ,,,,,
EXE2COM PCX%1.EXE PCX%1.DRV

DEL PCX%1.LST
DEL PCX%1.OBJ
DEL PCX%1.XRF
DEL PCX%1.EXE
DEL PCX%1.MAP

GOTO END

:MAKEMASM
C:\masm32\bin\ml.exe /c /Fl /DDPI%1=1 PCX.ASM
IF EXIST PCX.OBJ IF EXIST PCX%1.OBJ DEL PCX%1.OBJ
IF EXIST PCX.OBJ REN PCX.OBJ PCX%1.OBJ
LINK PCX%1.OBJ ,,,,,
EXE2COM PCX%1.EXE PCX%1.DRV

DEL PCX.LST
DEL PCX%1.OBJ
DEL PCX%1.EXE
DEL PCX%1.MAP

:END
